Create a registration for a business

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

business_idstringRequired
Business ID

Request

This endpoint expects an object.
file_numberstringRequired
The registration or file number issued by the international registry.
country_codestringRequired

ISO 3166-1 alpha-2 country code of the registry (e.g., FR, DE, GB).

jurisdiction_detailsobjectOptional

The sub-national jurisdiction for the registration.

Response

registration created
objectstring
idstringformat: "uuid"
business_idstringformat: "uuid"
namestring
statusstring
jurisdictionstring or null

Indicates the relationship between the business and this jurisdiction. DOMESTIC or FOREIGN for US registrations; HOME or EXTRA_PROVINCIAL for Canada; UNKNOWN when undetermined; null for other international registrations.

entity_typestring or null
file_numberstring
stateenum or null

The US state for the registration. null for international registrations.

sub_statusstring or nullOptional
status_detailsstring or nullOptional
jurisdiction_detailsobject or nullOptional

The sub-national jurisdiction for international registrations. null for US registrations.

country_codestringOptional

US for domestic registrations, or an ISO 3166-1 alpha-2 code for international registrations (e.g., FR, DE, GB).

addresseslist of stringsOptional
officerslist of maps from strings to anyOptional
registered_agentmap from strings to any or nullOptional
registration_datedate or nullOptional
sourcestring or nullOptionalformat: "uri"
submittedbooleanOptional

true if you submitted the registration, false if Middesk sourced it.

Errors

403
Create Registration Request Forbidden Error
404
Create Registration Request Not Found Error
422
Create Registration Request Unprocessable Entity Error